#!/bin/sh

# If directory exists don't run the script
[ ! -d /run/pyheatpump ] && mkdir /run/pyheatpump || exit 0;

# cd /opt/pyheatpump git clone https://git.yannweb.net/cli/pyHeatpump.git
[ ! -d /opt/pyHeatpump/ ] && echo "Missing /opt/pyheatpump/" && exit 1;

# Database initialization
sqlite3 -init /opt/pyHeatpump/pyheatpump.sql /run/pyheatpump/pyheatpump.sqlite3 \
    || (echo "Failed to initialize database" && exit 1);

# Default configuration setup
cp /opt/pyHeatpump/config/pyheatpump.prod.ini.dist /run/pyheatpump/pyheatpump.ini \
    || (echo "Failed to initialized configuration file" && exit 1);
